# class Xapian::Xapian::ESet

Refer to the Xapian::ESet C++ API documentation for methods not specific to Ruby.

### Public Instance Methods

terms() click to toggle source

    # File ../../../src/xapian-bindings-1.4.5/ruby/docs/xapian.rb, line 213
    def terms
      Xapian._safelyIterate(self._begin(),
                            self._end()) { |item|
        # note: in the ExpandTerm wrapper, we implicitly rename
        # ESetIterator#term() (defined in xapian-headers.i) to ExpandTerm#term()
        Xapian::ExpandTerm.new(item.term, item.weight)
      }

    end